﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DataGrid
{

    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.Nodes = new ObservableCollection<Nodes>
            {
                new Nodes() { X = 0, Y = 0, IsUConstrained = true, IsVConstrained = true, IsPhiCOnstrained = true },
                new Nodes() { X = 10, Y = 0, IsUConstrained = false, IsVConstrained = false, IsPhiCOnstrained = false },
                new Nodes() { X = 20, Y = 0, IsUConstrained = true, IsVConstrained = true, IsPhiCOnstrained = false },
                new Nodes() { X = 30, Y = 0, IsUConstrained = false, IsVConstrained = false, IsPhiCOnstrained = false }
            };

            this.DataGridOne.ItemsSource = this.Nodes;

            this.DataGridTwo.ItemsSource = this.Nodes;
        }

        public ObservableCollection<Nodes> Nodes { get; set; }
    }
}
